×

INDI Library v1.9.8 Released (29 Sep 2022)

Bi-monthly INDI Library released with new drivers and bug fixes.

Is INDI ready for Ubuntu 22.04?

  • Posts: 8
  • Thank you received: 2
I've a SkyWatcher EQ6R Pro and with the v1.9.6 works like a charm on Ubuntu 22.04.
EQ6-R Pro, TecnoSky 70/420, Canon 700D, Svbony 30mm guide scope, QHY 5LII guide camera
The following user(s) said Thank You: AirBourn
6 months 1 day ago #83283

Please Log in or Create an account to join the conversation.

  • Posts: 201
  • Thank you received: 45

Replied by nou on topic Is INDI ready for Ubuntu 22.04?

Yeah working fine here with EQ6R and CP210x. You just need to remove brltty package otherwise it grab /dev/ttyUSB0 so eqmod doesn't work.
6 months 2 days ago #83291

Please Log in or Create an account to join the conversation.

  • Posts: 139
  • Thank you received: 14
Just updated to 22.04.1 and of course, my pl2303 is not working again. Can you tell me please what kernel you're running? (uname -r)
3 months 3 weeks ago #85114

Please Log in or Create an account to join the conversation.

  • Posts: 139
  • Thank you received: 14
OK - looks like the pl2303 bug was fixed in 5.18.15-051815-generic. It's working now.
3 months 3 weeks ago #85119

Please Log in or Create an account to join the conversation.

  • Posts: 66
  • Thank you received: 2
Hello

I have a new conflict on a fresh install of Ubuntu 22.04.1.
Unable to install indi-full due to conflit drivers indi-beefocus and indi-weewx-json

Would you have a solution?
3 weeks 1 day ago #88034

Please Log in or Create an account to join the conversation.

  • Posts: 40
  • Thank you received: 3
Hello,

Same problem here. indi-full dependencies seems broken. There is no candidate for indi-weewx-json and indi-svbony leads to uninstall indi-full... :)

Regards,
Davy.
Davy Hubert
Setup : 102/715 APO refractor; Orion Atlas Eq-G mount; Trius-SX694 CCD; SX-Lodestar X2 guide cam; SX FilterWheel; Moonlite Focuser
3 weeks 21 hours ago #88042

Please Log in or Create an account to join the conversation.

Did you update? I think it should be resolved now. Both packages are built.
Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info
The following user(s) said Thank You: Davy HUBERT
3 weeks 21 hours ago #88043

Please Log in or Create an account to join the conversation.

  • Posts: 40
  • Thank you received: 3
Everything is OK now.

Thank you ! :)
Davy Hubert
Setup : 102/715 APO refractor; Orion Atlas Eq-G mount; Trius-SX694 CCD; SX-Lodestar X2 guide cam; SX FilterWheel; Moonlite Focuser
3 weeks 20 hours ago #88045

Please Log in or Create an account to join the conversation.

  • Posts: 870
  • Thank you received: 83
The update gives held back indi-full:


Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
indi-beefocus indi-weewx-json
Use 'sudo apt autoremove' to remove them.
The following packages have been kept back:
indi-full
0 to upgrade, 0 to newly install, 0 to remove and 1 not to upgrade.
kubuntu 22.04
700d, eq6, 120mm. Yes, the old one.
3 weeks 20 hours ago #88046

Please Log in or Create an account to join the conversation.

  • Posts: 66
  • Thank you received: 2
Hello.

Is good for me (Xubuntu 22.04.1) ! thank !
2 weeks 3 days ago #88150

Please Log in or Create an account to join the conversation.

  • Posts: 66
  • Thank you received: 2
I spoke too quickly. This evening I did a test with an armhf platform and this time I have 13 drivers that are weak libindidriver1 instead of libindi1 :

apogee, asi, aagcloudwatcher-ng, dsi, duino, armadillo-platypus, atik, avalon, astromechfoc, dreamfocuser, aok, celestronaux and bresserexos2

the previous test was with an arm64 platform
Last edit: 2 weeks 23 hours ago by durand Sébastien.
2 weeks 1 day ago #88240

Please Log in or Create an account to join the conversation.

  • Posts: 20
  • Thank you received: 3
Hello!
I'm having problems when running

indiserver indi_asi_ccd

It returns:
2022-11-23T10:10:49: Driver indi_asi_ccd: indi_asi_ccd: symbol lookup error: indi_asi_ccd: undefined symbol: _ZN4INDI13DefaultDevice18getDriverInterfaceEv

It's a fresh kubuntu 22.04.1 install. I've tried also with ubuntu 22.04.1 (docker) and ubuntu 20.04 (docker) with the same results. I don't know what I'm missing.

Thanks for any help!
1 week 3 days ago #88447

Please Log in or Create an account to join the conversation.

Time to create page: 0.978 seconds